<template>
    <td data-label="" class="tdModal">
        <div class="box-absolute" v-if="visible">
            <svg class="closeSvg" @click="closeVisible">
                <use xlink:href="/img/sprite.svg#cancel-button"/>
            </svg>
            <p class="text-title">{{ $t('deposits.table.statistics.title') }}</p>
            <div class="box-absolute--element">
                <svg class="leftElement">
                    <use xlink:href="/img/sprite.svg#coin-1"/>
                </svg>
                <p class="rightElement">{{ totalAccrualsSum }} / <span>{{ leftAccrualsSum }}</span></p>
            </div>
            <div class="box-absolute--element">
                <svg class="leftElement">
                    <use xlink:href="/img/sprite.svg#pie-chart2"/>
                </svg>
                <p class="rightElement">{{ totalAccruals }} / <span>{{ deposit.left_accruals }}</span></p>
            </div>
            <p class="text-dateOpen">{{ $t('deposits.table.statistics.opened_date') }} {{ formattedCreatedAt }}</p>
            <p class="text-dateOpen">{{ $t('deposits.table.statistics.closed_date') }} {{ formattedClosedAt }}</p>
        </div>
        <svg class="openClickSvg" @click="toggleVisible">
            <use
                xlink:href="/img/sprite.svg#more-button-interface-symbol-of-three-horizontal-aligned-dots"/>
        </svg>
    </td>
</template>

<script>
    import currencies from "../../currencies";

    export default {
        name: "DepositModal",
        props: ['deposit'],
        data(){
            return {
                visible: false,
            }
        },
        computed: {
            totalAccruals(){
                return 0 + this.deposit.passed_accruals + this.deposit.left_accruals;
            },
            totalAccrualsSum(){
                let accrual = (this.deposit.amount / 100) * this.deposit.plan.percent;
                return currencies.format(accrual * this.totalAccruals, this.deposit.currency);
            },
            leftAccrualsSum(){
                let accrual = (this.deposit.amount / 100) * this.deposit.plan.percent;
                return currencies.format(accrual * this.deposit.left_accruals, this.deposit.currency);
            },
            formattedCreatedAt(){
                return this.$date(this.deposit.created_at).format('DD.MM.YYYY');
            },
            formattedClosedAt(){
                let step = 'days';
                if(this.deposit.plan.type === 'monthly'){
                    step = 'months';
                }else if(this.deposit.plan.type === 'hourly'){
                    step = 'hours';
                }
                return this.$date(this.deposit.created_at).add(this.deposit.plan.duration, step).format('DD.MM.YYYY');
            },
        },
        methods:{
            toggleVisible(){
                this.visible = !this.visible;
            },
            closeVisible(){
                this.visible = false;
            },
        }
    }
</script>

<style scoped>

</style>
